Package org.pushingpixels.substance.flamingo.ribbon.gallery.oob

# Class SubstanceSkinRibbonGallery

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.gallery.oob.SubstanceSkinRibbonGallery

public class SubstanceSkinRibbonGallery extends Object
In-ribbon gallery that contains all available Substance skins.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceSkinRibbonGallery()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addSkinGallery(org.pushingpixels.flamingo.api.ribbon.JRibbonBand ribbonBand)`
Adds an in-ribbon gallery that contains all available Substance skins to the specified ribbon band.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceSkinRibbonGallery

public SubstanceSkinRibbonGallery()

## Method Details

### addSkinGallery

public static void addSkinGallery(org.pushingpixels.flamingo.api.ribbon.JRibbonBand ribbonBand)
Adds an in-ribbon gallery that contains all available Substance skins to the specified ribbon band.

Parameters:
  `ribbonBand` - Ribbon band that will contain the newly added skin gallery.